Package org.jboss.resteasy.plugins.server.netty

## Class RestEasyHttpResponseEncoder

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelOutboundHandlerAdapter
    - - io.netty.handler.codec.MessageToMessageEncoder<NettyHttpResponse>
      - - org.jboss.resteasy.plugins.server.netty.RestEasyHttpResponseEncoder

- All Implemented Interfaces:
    `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelOutboundHandler`

      @Sharable
      public class RestEasyHttpResponseEncoder
      extends io.netty.handler.codec.MessageToMessageEncoder<NettyHttpResponse>

  `MessageToMessageEncoder` implementation which encodes `HttpResponse`'s to `HttpResponse`'s This implementation is `ChannelHandler.Sharable`
  Author:
    Norman Maurer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RestEasyHttpResponseEncoder()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `encode​(io.netty.channel.ChannelHandlerContext ctx, NettyHttpResponse nettyResponse, List<Object> out)` |
    `static void` | `transformHeaders​(NettyHttpResponse nettyResponse, io.netty.handler.codec.http.HttpResponse response, ResteasyProviderFactory factory)` |

    - ### Methods inherited from class io.netty.handler.codec.MessageToMessageEncoder

      `acceptOutboundMessage, write`

    - ### Methods inherited from class io.netty.channel.ChannelOutboundHandlerAdapter

      `bind, close, connect, deregister, disconnect, flush, read`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, exceptionCaught, handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `exceptionCaught, handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### RestEasyHttpResponseEncoder

          public RestEasyHttpResponseEncoder()

  - ### Method Detail

    - #### encode

          protected void encode​(io.netty.channel.ChannelHandlerContext ctx,
                                NettyHttpResponse nettyResponse,
                                List<Object> out)
                         throws Exception

      Specified by:
        `encode` in class `io.netty.handler.codec.MessageToMessageEncoder<NettyHttpResponse>`
      Throws:
        `Exception`

    - #### transformHeaders

          public static void transformHeaders​(NettyHttpResponse nettyResponse,
                                              io.netty.handler.codec.http.HttpResponse response,
                                              ResteasyProviderFactory factory)